#ifndef __OFF2ANG3D_PARAM_H_INCL__
#define __OFF2ANG3D_PARAM_H_INCL__

#include "off2ang3d.h"

namespace Yang {
  //inshape could be (hx,hy,kmx,kmy,kz) or (gamma,azim,kmx,kmy,kz)
  void read_param_off2ang3d_hxy_kxyz(param_off2ang3d* par, param_func* pf, const hypercube& inShape_kxyz, const hypercube& shapexyz, bool bForward=true);

  //inshape could be (hx,hy,kz,kmx,kmy) or (gamma,azim,kz,kmx,kmy)
  void read_param_off2ang3d_hxy_kzxy(param_off2ang3d* par, param_func* pf, const hypercube& inShape_kzxy, const hypercube& shapezxy, bool bForward=true);

} //end namespace

#endif // __OFF2ANG3D_PARAM_H_INCL__

