#ifndef ISTC_SOLVER
#define ISTC_SOLVER 1

//wrap an operator over wavelet_transform
#include "op.h"

namespace Yang {

int istcSolver (op& Foper,   //linear operator
                  float* x,           // estimated model
                  long long nx,
                  const float* dat,   // data
                  long long nd,
                  int nlIter,          // non-linear iter
                  int nIter, //number of linear iterations
                  const int* region,
                  long long nr,
                  const float* start,
                  long long ns,
                  const float* pEigenval = NULL,
                  const float* x0 = NULL,
                  bool bUseInputMsk = false,  //model space msk
                  float* msk_model = NULL,
                  bool verb=true );



} //end namespace Yang

#endif

