#include "stdafx.h"
#include "dmRsf.hpp"
#include "sep_params.h"
#include "cubeData.hpp"

#include "param_entry.h"
#include "cubeAlgo2.h"
#include "stackTraceC.h"
#include "commonOps.h"

#include "misc.h"
#include "dmHeaderReader.h"
#include "waveOpMPI.h"

#include "my_timer.h"

/**
 * Test Crop Align function, 5-D case
 */

using namespace Yang;
using namespace std;
using namespace seplib;

using boost::shared_ptr;
//Doing beam wave-equation tomography for reflection case.

#include <unistd.h>
//Do born modeling
int main (int argc, char *argv[])
{
  shared_ptr<sep_params> autoPars(new sep_params(argc,argv));
  sep_params* pars = autoPars.get();

  LOG("A1.1");

  cubeDataF cubeI,cubeO;
  cubeI.load("in",5);
  cubeO.alloc(cubeI.domain());
  cubeI.info("cubeI");

  LOG("A1.2");
  Yang::cropAlign(cubeO, cubeI, true, false);
  LOG("A1.3");
  cubeO.info("cubeO");
  cubeO.dump("output",true);
  return 0;
}

