#ifndef __DMHEADERREADER_H_INCL__
#define __DMHEADERREADER_H_INCL__

#include "dm.h"
// TODO: your code here
namespace Yang {
  
//Dummy object just for reading SEP header files but no access to binary
class sepHeaderReader: public dm {
public:
	sepHeaderReader(const string& _tag, typeIO _tIO=dm::IN, const string& szInfo="", bool bNoDummy=true): dm(_tag,_tIO,szInfo,bNoDummy) 
	{VERIFY(_tIO==dm::IN);}
	void getShape(hypercube &outShape, bool bRemoveDummyAxis=REMOVE_DUMMY_AXIS_DEF);
  void getShape(hypercube &outShape, int n_axis_desired);
};

class sepHeaderWriter: public dm {
public:
	sepHeaderWriter(const string& _tag, typeIO _tIO=dm::OUT, const string& szInfo="", bool bNoDummy=true): dm(_tag,_tIO,szInfo,bNoDummy)  {}
	void writeDomain(const hypercube &outShape, int esize);
};

}

#endif // __DMHEADERREADER_H_INCL__

