#include  "stdafx.h"
#include  "param_func.h"

int param_func::s_init_once_ = 0;
string param_func::s_tmpPath("/tmp/"); //path for writing temporary files, using the convention of scratch path.

param_func::param_func(){
  s_init_once_ ++;
}

//Should call right after the children class is assimilated, cannot call it in constructor, because get_string is a virtual method, and at the time of base constructor, the get_string method cannot be located, virtual func table not defined at time of execution.
void param_func::get_tmp_path() {
  s_tmpPath = this->get_string("tmpPath",s_tmpPath);
  prt("The temp file path is set as %s \n", s_tmpPath.c_str());
  //make sure that the tmp path does exists and I can write to it
  string cmd("touch "); cmd += s_tmpPath; cmd += "a.zywz";
  int ret = system(cmd.c_str());
  if (ret!=0) { //the path is not OK
    PRT_LOC; 
    prt("!!! The temp file path given is not valid: %s, check permission and existence!! Might need to abort the program !!", s_tmpPath.c_str());
  }
}

//define the global parameter
param_func*   gParamReader = NULL;


