#!/bin/tcsh
###   each node is dual CPU with Quad core Nehalem
#PBS -N MigWaz3d_big_1shot
#PBS -l nodes=1:ppn=8
#PBS -q Q35
#PBS -V
#PBS -m e
#PBS -W x="PARTITION:sw121"
#PBS -j oe
#PBS -e /data/sep/zyang03/proj/RMO/waz3d_report
#PBS -o /data/sep/zyang03/proj/RMO/waz3d_report
#PBS -d /data/sep/zyang03/proj/RMO/waz3d_report
#

#
cd $PBS_O_WORKDIR
#

echo WORKDIR is: $PBS_O_WORKDIR
echo NodeFile is: $PBS_NODEFILE

set BINDIR=/data/sep/zyang03/bin
set DATDIR=/data/sep/zyang03/data/waz
set RESDIR=/data/sep/zyang03/proj/RMO/waz3d

set TMPDIR=/tmp

#cleaned up temp files
find /tmp/ -maxdepth 1 -type f -user zyang03 -exec rm {} \;
echo "node name: $HOSTNAME"

source make.sh
#sleep 20
#echo "hehe"

